/*+==========================================================================
  File:      ConnectDialog.h

  Summary:   WFC Dialog (implementation through the Form class).  This 
             window displays two edit boxes (host and port), and OK and 
             Cancel buttons.  OnCommand is overrided to correctly handle 
             events when the respective buttons are clicked.
 
  Classes:   ConnectDialog

  Functions: Dispose, button1_click, ConnectDialog_closing, InitForm
             
----------------------------------------------------------------------------
  This file is part of the Microsoft NGWS Samples.

  Copyright (C) 1998-1999 Microsoft Corporation.  All rights reserved.
==========================================================================+*/


__gc class ConnectDialog : public Form
{
public:
	String *host;
	int port;
	
	bool AllowClose;

	Container *components;
	Label *label1;
	TextBox *edit1;
	Label *label2;
	TextBox *edit2;
	Button *button1;
	Button *button2;

	ConnectDialog() : host(NULL), port(0), AllowClose(true)
	{
		components = new Container();
		label1 = new Label();
		edit1 = new TextBox();
		label2 = new Label();
		edit2 = new TextBox();
		button1 = new Button();
		button2 = new Button();

		InitForm();
	}

	void Dispose();
	
	void button1_click(Object *source, EventArgs *e);
	void ConnectDialog_closing(Object *source, CancelEventArgs *e);
	void InitForm();

};
